Bug 99557 - traceback Alchemist file is corrupt
Summary: traceback Alchemist file is corrupt
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-bind
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-07-21 20:17 UTC by Kaj J. Niemi
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-30 12:46:15 UTC


Attachments (Terms of Use)
Fix typo for bindconf.glade -> redhat-config-bind.glade (413 bytes, patch)
2003-07-29 18:40 UTC, Kaj J. Niemi
no flags Details | Diff

Description Kaj J. Niemi 2003-07-21 20:17:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:

[kajtzu@steffi ~]% redhat-config-bind
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-bind-gui", line 86, in ?
    cfg = dnsdata.DNS()
  File "/usr/share/redhat-config-bind/dnsdata.py", line 571, in __init__
    raise RuntimeError,"Alchemist file is corrupt"
RuntimeError: Alchemist file is corrupt

Seems to want to open /etc/alchemist/switchboard/dns.switchboard.adl which seems
to be broken in some way.. I installed both fresh off rawhide so there's no
local modifications or anything.

% rpm -qf /etc/alchemist/switchboard/dns.switchboard.adl
redhat-config-bind-1.9.0-13
% rpm -V redhat-config-bind
..?..... c /etc/alchemist/namespace/dns/local.adl
..?..... c /etc/alchemist/switchboard/dns.switchboard.adl
S.5....T   /usr/share/redhat-config-bind/FwdZone.pyc
S.5....T   /usr/share/redhat-config-bind/dnsdata.pyc
S.5....T   /usr/share/redhat-config-bind/dnsdata_base.pyc




Version-Release number of selected component (if applicable):
redhat-config-bind-1.9.0-13

How reproducible:
Always

Steps to Reproduce:
1. Install redhat-config-bind
2. execute redhat-config-bind
3.
    

Actual Results:  Fails

Expected Results:  Shouldn't fail ;-)

Additional info:

Comment 1 Daniel Walsh 2003-07-29 18:11:31 UTC
I am putting out a new version or redhat-config-netboot.  It edits the config
files in place vs using Alchemist.  I have tried it out on a few different
Nameservice environments and seems to work on everything but the most complicated. 
Please try this out and see if it works for you.  

http://rawhide.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS/redhat-config-bind-2.0.0-1.noarch.rpm

Comment 2 Kaj J. Niemi 2003-07-29 18:22:58 UTC
It doesn't work at all..

[kajtzu@dyn10 ~]% redhat-config-bind
                                                                                
(redhat-config-bind:2257): libglade-WARNING **: could not find glade file
'/usr/share/redhat-config-bind/bindconf.glade'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-bind-gui", line 82, in ?
    xml = gtk.glade.XML (gladepath, domain=PROGNAME)
RuntimeError: could not create GladeXML object

Comment 3 Kaj J. Niemi 2003-07-29 18:40:10 UTC
Created attachment 93232 [details]
Fix typo for bindconf.glade -> redhat-config-bind.glade

I think it's actually supposed to reference
"/usr/share/redhat-config-bind/redhat-config-bind.glade" .. seems to work with
it.

Comment 4 Daniel Walsh 2003-07-30 12:46:15 UTC
Fixed in RawHide.

redhat-config-bind-2.0.0-2


Note You need to log in before you can comment on or make changes to this bug.